# Group Messages
Welcome to the messages API. This API provides access to the messages service.

## messages [/messages]

### Create message [POST]

Create a new message

+ Request message (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + text: TEXT (string)
        + sender_id: 1 (number)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (message, fixed)

### Get messages [GET]

Returns a message list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (message)

## message details [/messages/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired message.
        + Members
            + `1`
            + `2`
            + `3`

### Get message [GET]

Returns a message.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (message, fixed)

### Update message [PUT]

Update a message.

+ Request message (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + text: TEXT (string)
        + sender_id: 1 (number)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (message, fixed)

### Delete message [DELETE]

Delete a message.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## message (object)

+ id: *1* (number)
+ text: *TEXT* (string)
+ sender_id: *1* (number)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
